Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230731 - Request d80211 headers in kernel-headers
Summary: Request d80211 headers in kernel-headers
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-02 15:30 UTC by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-26 14:09:09 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2007-03-02 15:30:57 UTC
Description of problem:When trying to compile hostapd with enabled d80211 stack
originally developed from devicescape, it need to uses d80211 headers that are
not relative to a kernel varriant...

Version-Release number of selected component (if applicable): 2.6.21rc1
This is applicable to 
How reproducible:


Steps to Reproduce:
1.Build user space tools that need to find headers in
%{_includir}/something_for_d80211 (example hostapd, but that may be applicable
also for wpa_supplicant)
2.BR kernel-headers
3
  
Actual results:
It do not find headers to use d80211 based wireless devices.

Expected results:
It should just compile fine...

Additional info: see Review request to hostapd #230449

Comment 1 Nicolas Chauvet (kwizart) 2007-03-02 15:38:20 UTC
that was %{_includedir}/... sorry for the typo
There is no *80211* files that are relative to devicescape 80211 stack with
kernel-headers bundled with fc7 t2

Comment 2 John W. Linville 2007-03-08 16:01:40 UTC
I think the headers are fine as-is.  If anything, hostapd shouldn't be looking 
at headers that aren't intended for userland applications.

Still, I sympathize w/ your predicament.  Have you tried installing the 
kernel-devel package?  I think that will give you the headers you need until 
hostapd gets its act together.

Comment 3 Nicolas Chauvet (kwizart) 2007-04-01 00:16:14 UTC
Sorry for the late answear...
I was waiting for a new snapshoot to work with the renamed mac80211 stack
Actually i cannot find theses headers neither inside kernel-headers nor inside
kernel-devel

But they are provided by the mac80211 version from intel 
so i'm still using it for now for hostapd. As far as i have tested, only theses
files are needed.
[builder@Kwizatz BUILD]$ find . -name ieee80211_common.h
./hostapd-0.6-2007-03-25/mac80211-6.0.0/origin/net/mac80211/ieee80211_common.h
[builder@Kwizatz BUILD]$ find . -name hostapd_ioctl.h
./hostapd-0.6-2007-03-25/mac80211-6.0.0/origin/net/mac80211/hostapd_ioctl.h

Of course you are the prefered reviewer for the hostapd review:
https://bugzilla.redhat.com/230449

About your last comment, i may have missed something. Since hostapd is a
userland application shouldn't it "BuildRequires" kernel-headers more than
kernel-devel ? 



Comment 4 John W. Linville 2007-07-26 14:09:09 UTC
Per irc conversation...

Those headers are not really intended for userland.  Later versions of hostapd 
will need to use the nl80211 api when it is ready to support AP configuration.

In the meantime, I think the best option for a hostapd package is to snapshot 
the needed headers and either rebuild for every kernel release or make the 
package depend on the fedora release.  I will make an effort to preserve the 
existing hostap api in F-7 kernels through at least F-7's lifespan.


Note You need to log in before you can comment on or make changes to this bug.